# -*- encoding: utf-8 -*-
# stub: jwt 1.5.4 ruby lib

Gem::Specification.new do |s|
  s.name = "jwt"
  s.version = "1.5.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Jeff Lindsay", "Tim Rudat"]
  s.date = "2016-06-21"
  s.description = "A pure ruby implementation of the RFC 7519 OAuth JSON Web Token (JWT) standard."
  s.email = "timrudat@gmail.com"
  s.files = ["Gemfile", "LICENSE", "Manifest", "README.md", "Rakefile", "lib/jwt.rb", "lib/jwt/decode.rb", "lib/jwt/error.rb", "lib/jwt/json.rb", "lib/jwt/verify.rb", "lib/jwt/version.rb", "ruby-jwt.gemspec", "spec/fixtures/certs/ec256-private.pem", "spec/fixtures/certs/ec256-public.pem", "spec/fixtures/certs/ec256-wrong-private.pem", "spec/fixtures/certs/ec256-wrong-public.pem", "spec/fixtures/certs/ec384-private.pem", "spec/fixtures/certs/ec384-public.pem", "spec/fixtures/certs/ec384-wrong-private.pem", "spec/fixtures/certs/ec384-wrong-public.pem", "spec/fixtures/certs/ec512-private.pem", "spec/fixtures/certs/ec512-public.pem", "spec/fixtures/certs/ec512-wrong-private.pem", "spec/fixtures/certs/ec512-wrong-public.pem", "spec/fixtures/certs/rsa-1024-private.pem", "spec/fixtures/certs/rsa-1024-public.pem", "spec/fixtures/certs/rsa-2048-private.pem", "spec/fixtures/certs/rsa-2048-public.pem", "spec/fixtures/certs/rsa-2048-wrong-private.pem", "spec/fixtures/certs/rsa-2048-wrong-public.pem", "spec/fixtures/certs/rsa-4096-private.pem", "spec/fixtures/certs/rsa-4096-public.pem", "spec/jwt/verify_spec.rb", "spec/jwt_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "http://github.com/jwt/ruby-jwt"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.5.1"
  s.summary = "JSON Web Token implementation in Ruby"
  s.test_files = ["spec/fixtures/certs/ec256-private.pem", "spec/fixtures/certs/ec256-public.pem", "spec/fixtures/certs/ec256-wrong-private.pem", "spec/fixtures/certs/ec256-wrong-public.pem", "spec/fixtures/certs/ec384-private.pem", "spec/fixtures/certs/ec384-public.pem", "spec/fixtures/certs/ec384-wrong-private.pem", "spec/fixtures/certs/ec384-wrong-public.pem", "spec/fixtures/certs/ec512-private.pem", "spec/fixtures/certs/ec512-public.pem", "spec/fixtures/certs/ec512-wrong-private.pem", "spec/fixtures/certs/ec512-wrong-public.pem", "spec/fixtures/certs/rsa-1024-private.pem", "spec/fixtures/certs/rsa-1024-public.pem", "spec/fixtures/certs/rsa-2048-private.pem", "spec/fixtures/certs/rsa-2048-public.pem", "spec/fixtures/certs/rsa-2048-wrong-private.pem", "spec/fixtures/certs/rsa-2048-wrong-public.pem", "spec/fixtures/certs/rsa-4096-private.pem", "spec/fixtures/certs/rsa-4096-public.pem", "spec/jwt/verify_spec.rb", "spec/jwt_spec.rb", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<simplecov>, [">= 0"])
      s.add_development_dependency(%q<simplecov-json>, [">= 0"])
      s.add_development_dependency(%q<codeclimate-test-reporter>, [">= 0"])
    else
      s.add_dependency(%q<bundler>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<simplecov>, [">= 0"])
      s.add_dependency(%q<simplecov-json>, [">= 0"])
      s.add_dependency(%q<codeclimate-test-reporter>, [">= 0"])
    end
  else
    s.add_dependency(%q<bundler>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<simplecov>, [">= 0"])
    s.add_dependency(%q<simplecov-json>, [">= 0"])
    s.add_dependency(%q<codeclimate-test-reporter>, [">= 0"])
  end
end
